# Uses of Class
javax.swing.plaf.ViewportUI

Packages that use ViewportUI
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.multi
Provides user interface objects that combine two or more look and feels.
javax.swing.plaf.synth
Synth is a skinnable look and feel in which all painting is delegated.

## Uses of ViewportUI in javax.swing

Methods in javax.swing that return ViewportUI
Modifier and Type
Method
Description
`ViewportUI`
JViewport.`getUI()`
Returns the L&F object that renders this component.
Methods in javax.swing with parameters of type ViewportUI
Modifier and Type
Method
Description
`void`
JViewport.`setUI(ViewportUI ui)`
Sets the L&F object that renders this component.

## Uses of ViewportUI in javax.swing.plaf.basic

Subclasses of ViewportUI in javax.swing.plaf.basic
Modifier and Type
Class
Description
`class`
`BasicViewportUI`
BasicViewport implementation

## Uses of ViewportUI in javax.swing.plaf.multi

Subclasses of ViewportUI in javax.swing.plaf.multi
Modifier and Type
Class
Description
`class`
`MultiViewportUI`
A multiplexing UI used to combine `ViewportUI`s.

## Uses of ViewportUI in javax.swing.plaf.synth

Subclasses of ViewportUI in javax.swing.plaf.synth
Modifier and Type
Class
Description
`class`
`SynthViewportUI`
Provides the Synth L&F UI delegate for `JViewport`.